DIMENSIUNE(1)

NUME
size - listează dimensiunile secțiunilor și dimensiunea totală a fișierelor binare

SINOPSIS
size [-A|-B|-G|--format=compatibilitate]
     [--help]
     [-d|-o|-x|--radix=număr]
     [--common]
     [-t|--totals]
     [--target=nume-bfd] [-V|--version]
     [-f]
     [fișier-obiect...]

DESCRIERE
Ustensila GNU size listează dimensiunile secțiunilor și dimensiunea totală pentru fiecare dintre fișierele binare fișier-obiect din lista sa de argumente. În mod implicit, este generată o linie de ieșire pentru fiecare fișier sau pentru fiecare modul, dacă fișierul este o arhivă.

fișier-obiect... sunt fișierele care urmează să fie examinate. Dacă nu este specificat niciunul, se va utiliza în schimb fișierul „a.out”.

OPȚIUNI
Opțiunile din linia de comandă au următoarele semnificații:

-A
-B
-G
--format=compatibilitate
    Folosind una dintre aceste opțiuni, puteți alege dacă ieșirea din GNU size seamănă cu ieșirea din System V size (folosind -A, sau --format=sysv), sau Berkeley size (folosind -B, sau --format=berkeley). Formatul implicit este formatul de o linie asemănător cu cel de la Berkeley. Alternativ, puteți alege ieșirea în format GNU (utilizând -G, sau --format=gnu), acesta este similar cu formatul de ieșire de la Berkeley, dar dimensiunile sunt numărate diferit.

    Iată un exemplu de format Berkeley (implicit) al ieșirii din size:

            $ size --format=Berkeley ranlib size
               text    date     bss     dec     hex nume-fișier
             294880   81920   11592  388392   5ed28 ranlib
             294880   81920   11888  388688   5ee50 size

    Numărătoarele de ieșire în stil Berkeley citesc numai datele din coloana „text”, nu și din coloana „date”, coloanele „zec” și „hex” afișează suma coloanelor „text”, „date” și „bss” în zecimal și, respectiv, hexazecimal.

    În formatul GNU se citesc numai datele din coloana „date”, nu și din coloana „text”, și afișează doar suma coloanelor „text”, „date” și „bss” o singură dată, în coloana „total”. Opțiunea --radix poate fi utilizată pentru a schimba baza numerică pentru toate coloanele. Iată aceleași date afișate cu convențiile GNU:

            $ size --format=GNU ranlib size
                  text       date        bss      total nume-fișier
                279880      96920      11592     388392 ranlib
                279880      96920      11888     388688 size

    Acestea sunt aceleași date, dar afișate mai aproape de convențiile System V:

            $ size --format=SysV ranlib size
            ranlib  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11592       385024
            Total         388392

            size  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11888       385024
            Total         388688

--help
-h
-H
-?  Afișează un rezumat al argumentelor și opțiunilor posibile.

-d
-o
-x
--radix=număr
    Utilizând una dintre aceste opțiuni, puteți controla dacă dimensiunea fiecărei secțiuni este dată în zecimal (-d, sau --radix=10); octal (-o, sau --radix=8); sau hexazecimal (-x, sau --radix=16). În --radix=număr, sunt acceptate doar cele trei valori (8, 10, 16). Dimensiunea totală este întotdeauna dată în două baze; zecimal și hexazecimal pentru ieșirea -d sau -x, sau octal și hexazecimal dacă utilizați -o.

--common
    Afișează dimensiunea totală a simbolurilor comune din fiecare fișier. În cazul utilizării formatului Berkeley sau GNU, acestea sunt incluse în dimensiunea „bss”.

-t
--totals
    Afișează totalurile tuturor obiectelor listate (numai în modul format Berkeley sau GNU).

--target=nume-bfd
    Specifică faptul că formatul codului obiect pentru fișier-obiect este nume-bfd. Este posibil ca această opțiune să nu fie necesară; size poate recunoaște automat multe formate.

-v
-V
--version
    Afișează numărul versiunii lui size.

-f  Ignorată. Această opțiune este utilizată de alte versiuni ale programului size, dar nu este acceptată de versiunea GNU Binutils.

@fișier
    Citește opțiunile liniei de comandă din fișier. Opțiunile citite sunt inserate în locul opțiunii originale @fișier. Dacă fișier nu există sau nu poate fi citit, atunci opțiunea va fi tratată literal și nu va fi eliminată.

    Opțiunile din fișier sunt separate prin spații albe. Un caracter de spațiere poate fi inclus într-o opțiune prin includerea întregii opțiuni între ghilimele simple sau duble. Orice caracter (inclusiv o bară oblică inversă) poate fi inclus prin prefixarea caracterului care urmează să fie inclus cu o bară oblică inversă. fișier poate conține la rândul său opțiuni @fișier suplimentare; orice astfel de opțiuni vor fi procesate în mod recursiv.

CONSULTAȚI ȘI
ar(1), objdump(1), readelf(1), și intrările Info pentru binutils.

DREPTURI DE AUTOR
Drepturi de autor © 1991-2025 Free Software Foundation, Inc.

Se acordă permisiunea de a copia, distribui și/sau modifica acest document în conformitate cu termenii Licenței GNU Free Documentation, versiunea 1.3 sau orice versiune ulterioară publicată de Free Software Foundation; fără secțiuni invariante, fără texte de copertă și fără texte de contra copertă. O copie a licenței este inclusă în secțiunea intitulată „GNU Free Documentation License”.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.